#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xad18a916, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x45923352, __VMLINUX_SYMBOL_STR(nft_unregister_expr) },
	{ 0x21a3ab12, __VMLINUX_SYMBOL_STR(nft_register_expr) },
	{ 0x41ed3709, __VMLINUX_SYMBOL_STR(get_random_bytes) },
	{ 0x458628e3, __VMLINUX_SYMBOL_STR(nft_parse_register_load) },
	{ 0x54be85b6, __VMLINUX_SYMBOL_STR(nft_parse_u32_check) },
	{ 0xc802d246, __VMLINUX_SYMBOL_STR(__skb_get_hash_symmetric) },
	{ 0x3cb40bf8, __VMLINUX_SYMBOL_STR(nft_parse_register_store) },
	{ 0xdb7305a1, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x2791c5a3, __VMLINUX_SYMBOL_STR(nla_put) },
	{ 0xb28e768e, __VMLINUX_SYMBOL_STR(nft_dump_register) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nf_tables";

